#![recursion_limit = "1024"]

extern crate console_error_panic_hook;
extern crate js_sys;

use std::panic;
use wasm_bindgen::prelude::*;
use yew::prelude::*;

mod agents;
mod components;
mod utils;

#[wasm_bindgen(start)]
pub fn run_app() {
    #[cfg(debug_assertions)]
    panic::set_hook(Box::new(console_error_panic_hook::hook));

    App::<components::App>::new().mount_to_body();
}
